petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESLineSearchGetPreCheck

Gets the pre-check function for the line search routine.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchGetPreCheck(SNESLineSearch linesearch, PetscErrorCode (**func)(SNESLineSearch,Vec,Vec,PetscBool*,void*),void **ctx)

### Input Parameters

linesearch -the SNESLineSearch context Many br

### Output Parameters

| func | - [optional] function evaluation routine, see SNESLineSearchPreCheckFunction for calling sequence Many br
| ctx | - [optional] user-defined context for private data for the function evaluation routine (may be NULL) Many br

Many br

### Keywords

get, linesearch, pre-check

### See Also

SNESLineSearchGetPostCheck(), SNESLineSearchSetPreCheck()

Level:intermediate
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages